<FlexboxLayout class="page">
    <StackLayout class="form" [formGroup]="loginForm">
        <Image class="logo" src="~/images/logo.png"></Image>
        <Label class="header" text="Promotion Code"></Label>
        <PreviousNextView>
            <GridLayout rows="auto, auto">
                <StackLayout row="0" class="input-field">
                    <TextField required minLength="5" class="input input-user" hint="Username" autocorrect="false"
                        autocapitalizationType="none" returnKeyType="next" formControlName="username" [(ngModel)]="textField" #username></TextField>
                    <StackLayout class="hr-light"></StackLayout>
                    <StackLayout class="error-box">
                        <Label class="error" text="Username is required" *ngIf="loginForm.controls['username'].hasError('required')"></Label>
                        <Label class="error" text="Username must be atleast 5 characters" *ngIf="loginForm.controls['username'].hasError('minlength')"></Label>
                    </StackLayout>
                </StackLayout>

                <StackLayout row="1" class="input-field">
                    <TextField required #password minLength="5" class="input input-password" formControlName="password" hint="Password" secure="true" [returnKeyType]="isLoggingIn ? 'done' : 'next'"></TextField>
                    <StackLayout class="hr-light"></StackLayout>
                    <StackLayout class="error-box">
                        <Label class="error" text="Password is required"  *ngIf="loginForm.controls['password'].hasError('required')"></Label>
                        <Label class="error" text="Password must be atleast 5 characters" *ngIf="loginForm.controls['password'].hasError('minlength')"></Label>
                    </StackLayout>
                </StackLayout>
                <ActivityIndicator rowSpan="2" class="activity-indicator" [busy]="processing"></ActivityIndicator>
            </GridLayout>
        </PreviousNextView>

        <Button text="Log In" [isEnabled]="!loginForm.invalid"
            (tap)="login()" class="btn btn-primary m-t-20"></Button>
    </StackLayout>
    
</FlexboxLayout>